---
title: oleacc.idl
slug: Mozilla/Developer_guide/Build_Instructions/oleacc.idl
tags:
  - Build documentation
  - Developing Mozilla
---
<p><span>This page is linked from the build system. Do not remove it without making sure it links to useful information for building Firefox 3</span>
</p><p>oleacc.idl is a Microsoft COM IDL file which is required to build Mozilla accessibility features on Windows.
</p><p>The error "System header oleacc.idl is not available" indicates that your do not have a copy of this file in your INCLUDE directory. This is caused by a bug in the Windows Vista version of the Microsoft Platform SDK, which forgot to include the file.
</p>
<h4 id="Use_the_Professional_Version_of_Microsoft_Visual_C.2B.2B"> Use the Professional Version of Microsoft Visual C++ </h4>
<p>The profesional version of Microsoft Visual C++ comes with the oleacc.idl header.
</p>
<h4 id="Use_the_Windows_2003_SDK"> Use the Windows 2003 SDK </h4>
<p>The Windows 2003 SDK is a free download and comes with oleacc.idl.
</p><p>{{ Warning("Unfortunately, the Vista or Windows 2008 SDKs are required to build Mozilla normally, because of dependencies on Vista-specific APIs. We are actively working to resolve this problem so that you can use both the Windows 2003 and Windows Vista SDK and will release MozillaBuild 1.2.1 with a fix shortly.") }}
</p>
<h4 id="Use_the_Windows_2008_SDK"> Use the Windows 2008 SDK </h4>
<p>The Windows 2008 SDK is a free download and comes with oleacc.idl.
</p><p>{{ Warning("Unfortunately, the Windows 2008 SDK doesn\'t come with ATL headers which are necessary for building Mozilla normally. See <a href='\"en/Atlbase.h\"'>atlbase.h</a> for details.") }}
</p>
<h4 id="Disable_Accessibility"> Disable Accessibility </h4>
<p>If you do not need to build or test Mozilla accessibility support, disable it in your mozconfig file:
</p>
<pre class="eval">ac_add_options --disable-accessibility
</pre>
